From 0b85149351eb55d06bdae9355d2bbc130cb98619 Mon Sep 17 00:00:00 2001
From: Fabian Keil <fk@fabiankeil.de>
Date: Sat, 17 Oct 2009 13:17:57 +0200
Subject: [PATCH 1/5] Update Privoxy description.

---
 www/privoxy/DESCR |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/www/privoxy/DESCR b/www/privoxy/DESCR
index 08c14f7..5ca843d 100644
--- a/www/privoxy/DESCR
+++ b/www/privoxy/DESCR
@@ -1,6 +1,6 @@
-Privoxy is a web proxy with advanced filtering capabilities for protecting
-privacy, filtering web page content, managing cookies, controlling access,
-and removing ads, banners, pop-ups and other obnoxious Internet junk.
-Privoxy has a very flexible configuration and can be customized to suit
-individual needs and tastes. Privoxy has application for both stand-alone
-systems and multi-user networks.
+Privoxy is a non-caching web proxy with advanced filtering capabilities
+for enhancing privacy, modifying web page data, managing HTTP cookies,
+controlling access, and removing ads, banners, pop-ups and other obnoxious
+Internet junk. Privoxy has a flexible configuration and can be customized
+to suit individual needs and tastes. Privoxy has application for both
+stand-alone systems and multi-user networks.
-- 
1.6.4


From b5c549519834c6906a96db5e1d9c2e0067626d68 Mon Sep 17 00:00:00 2001
From: Fabian Keil <fk@fabiankeil.de>
Date: Sat, 17 Oct 2009 13:23:41 +0200
Subject: [PATCH 2/5] Update Privoxy Makefile for 3.0.15 beta, hardcoding MASTER_SITES for now.

---
 www/privoxy/Makefile |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/www/privoxy/Makefile b/www/privoxy/Makefile
index 3474511..87ce32a 100644
--- a/www/privoxy/Makefile
+++ b/www/privoxy/Makefile
@@ -1,12 +1,13 @@
-# $NetBSD: Makefile,v 1.40 2009/08/29 13:53:34 wiz Exp $
+# $NetBSD:$
 #
 
-DISTNAME=	${PKGNAME_NOREV}-stable-src
-PKGNAME=	privoxy-3.0.12
+DISTNAME=	${PKGNAME_NOREV}-beta-src
+PKGNAME=	privoxy-3.0.15
 CATEGORIES=	www
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=ijbswa/}
+# XXX: Hardcoded for now as I didn't get it to work otherwise.
+MASTER_SITES=	http://heanet.dl.sourceforge.net/project/ijbswa/Sources/3.0.15%20%28beta%29/
 
-MAINTAINER=	pkgsrc-users@NetBSD.org
+MAINTAINER=	fk@fabiankeil.de
 HOMEPAGE=	http://www.privoxy.org/
 COMMENT=	Web proxy with advanced filtering capabilities
 
@@ -29,7 +30,7 @@ EGDIR=			${PREFIX}/share/examples/privoxy
 
 CPPFLAGS+=		-Dunix
 
-WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}-stable
+WRKSRC=			${WRKDIR}/${PKGNAME_NOREV}-beta
 
 USE_FEATURES=		snprintf
 USE_TOOLS+=		autoconf213 gmake mktemp
-- 
1.6.4


From 4433733694d559c495a62c6bc7dd54fe47adb84d Mon Sep 17 00:00:00 2001
From: Fabian Keil <fk@fabiankeil.de>
Date: Sat, 17 Oct 2009 13:38:56 +0200
Subject: [PATCH 3/5] Update checksums for Privoxy 3.0.15 beta.

---
 www/privoxy/distinfo |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/www/privoxy/distinfo b/www/privoxy/distinfo
index 891af5d..bcf5351 100644
--- a/www/privoxy/distinfo
+++ b/www/privoxy/distinfo
@@ -1,8 +1,8 @@
-$NetBSD: distinfo,v 1.13 2009/04/07 14:02:06 mjl Exp $
+$NetBSD:$
 
-SHA1 (privoxy-3.0.12-stable-src.tar.gz) = 1118d6a7b4980f26c9ad0902c0e6af5aaaf1a640
-RMD160 (privoxy-3.0.12-stable-src.tar.gz) = 32509b897e073f1cc100b8a4a157d19a219b51cd
-Size (privoxy-3.0.12-stable-src.tar.gz) = 1811124 bytes
+SHA1 (privoxy-3.0.15-beta-src.tar.gz) = 9931e519e57e43179db6e1f368141381e95a8055
+RMD160 (privoxy-3.0.15-beta-src.tar.gz) = 3bf6effa2ea5ae5b5edd26b0ac167cbbf372dc03
+Size (privoxy-3.0.15-beta-src.tar.gz) = 1632703 bytes
 SHA1 (patch-aa) = c263d2a4b9522a33613f82ab2bc18d5c2b554b21
 SHA1 (patch-ac) = e39ffe694462b952c5ad66ac577a0acbee0a1d9f
 SHA1 (patch-ag) = fea1c2ef70a99ab6da3feab22c69f3b98c0e75d0
-- 
1.6.4


From 70bd13b35fbc95d2b2fb501ba52b1ebea52be58c Mon Sep 17 00:00:00 2001
From: Fabian Keil <fk@fabiankeil.de>
Date: Sat, 17 Oct 2009 13:42:06 +0200
Subject: [PATCH 4/5] This patch is no longer useful, Privoxy 3.0.13 beta and later support getaddrinfo by default.

---
 www/privoxy/distinfo         |    1 -
 www/privoxy/patches/patch-ag |   59 ------------------------------------------
 2 files changed, 0 insertions(+), 60 deletions(-)
 delete mode 100644 www/privoxy/patches/patch-ag

diff --git a/www/privoxy/distinfo b/www/privoxy/distinfo
index bcf5351..414096c 100644
--- a/www/privoxy/distinfo
+++ b/www/privoxy/distinfo
@@ -5,4 +5,3 @@ RMD160 (privoxy-3.0.15-beta-src.tar.gz) = 3bf6effa2ea5ae5b5edd26b0ac167cbbf372dc
 Size (privoxy-3.0.15-beta-src.tar.gz) = 1632703 bytes
 SHA1 (patch-aa) = c263d2a4b9522a33613f82ab2bc18d5c2b554b21
 SHA1 (patch-ac) = e39ffe694462b952c5ad66ac577a0acbee0a1d9f
-SHA1 (patch-ag) = fea1c2ef70a99ab6da3feab22c69f3b98c0e75d0
diff --git a/www/privoxy/patches/patch-ag b/www/privoxy/patches/patch-ag
deleted file mode 100644
index e9e683b..0000000
--- a/www/privoxy/patches/patch-ag
+++ /dev/null
@@ -1,59 +0,0 @@
-$NetBSD: patch-ag,v 1.2 2009/04/07 14:02:06 mjl Exp $
-
---- jbsockets.c.orig	2008-12-20 15:53:55.000000000 +0100
-+++ jbsockets.c	2009-04-07 15:54:10.000000000 +0200
-@@ -945,6 +945,14 @@
-    struct sockaddr_in inaddr;
-    struct hostent *hostp;
-    unsigned int dns_retries = 0;
-+#if defined(__NetBSD__)
-+   struct hostent result;
-+	struct sockaddr_in raddr;
-+	struct sockaddr_in *rlist[2];
-+
-+	memset(&result, '\0', sizeof(struct hostent));
-+#endif
-+
- #if defined(HAVE_GETHOSTBYNAME_R_6_ARGS) || defined(HAVE_GETHOSTBYNAME_R_5_ARGS) || defined(HAVE_GETHOSTBYNAME_R_3_ARGS)
-    struct hostent result;
- #if defined(HAVE_GETHOSTBYNAME_R_6_ARGS) || defined(HAVE_GETHOSTBYNAME_R_5_ARGS)
-@@ -995,6 +1003,39 @@
-       {
-          hostp = NULL;
-       }
-+#elif defined(__NetBSD__)
-+	/* mjl */
-+	{
-+	struct addrinfo *resp = NULL;
-+	struct addrinfo hints;
-+
-+	hostp = NULL;
-+	memset(&hints, '\0', sizeof(struct addrinfo));
-+	hints.ai_family = AF_INET;
-+
-+   while (getaddrinfo(host, NULL, &hints, &resp) == EAI_AGAIN
-+          && (dns_retries++ < MAX_DNS_RETRIES))
-+      {   
-+         log_error(LOG_LEVEL_ERROR,
-+            "Timeout #%u while trying to resolve %s. Trying again.",
-+            dns_retries, host);
-+      }
-+
-+	if(resp) 
-+		{
-+		result.h_addrtype = resp->ai_family;
-+		memcpy(&raddr, &((struct sockaddr_in *) resp->ai_addr)
-+								->sin_addr, sizeof(struct sockaddr_in));
-+		/* set up fake hostent */
-+		rlist[0] = &raddr;
-+		rlist[1] = NULL;
-+		result.h_addr_list = (char **)rlist;
-+		hostp = &result;
-+
-+		freeaddrinfo(resp);
-+		}
-+	}
-+
- #elif FEATURE_PTHREAD
-       privoxy_mutex_lock(&resolver_mutex);
-       while (NULL == (hostp = gethostbyname(host))
-- 
1.6.4


From b612e1bed177c05968bbe9d613598c400867d040 Mon Sep 17 00:00:00 2001
From: Fabian Keil <fk@fabiankeil.de>
Date: Sat, 17 Oct 2009 13:51:55 +0200
Subject: [PATCH 5/5] Update PLIST for Privoxy 3.0.13 beta.

---
 www/privoxy/PLIST |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/www/privoxy/PLIST b/www/privoxy/PLIST
index c520160..61d9490 100644
--- a/www/privoxy/PLIST
+++ b/www/privoxy/PLIST
@@ -1,4 +1,4 @@
-@comment $NetBSD: PLIST,v 1.8 2009/06/14 22:00:31 joerg Exp $
+@comment $NetBSD:$
 man/man1/privoxy.1
 sbin/privoxy
 share/doc/privoxy/AUTHORS
@@ -13,7 +13,6 @@ share/doc/privoxy/developer-manual/documentation.html
 share/doc/privoxy/developer-manual/index.html
 share/doc/privoxy/developer-manual/introduction.html
 share/doc/privoxy/developer-manual/newrelease.html
-share/doc/privoxy/developer-manual/quickstart.html
 share/doc/privoxy/developer-manual/seealso.html
 share/doc/privoxy/developer-manual/testing.html
 share/doc/privoxy/developer-manual/webserver-update.html
@@ -46,7 +45,6 @@ share/doc/privoxy/user-manual/quickstart.html
 share/doc/privoxy/user-manual/seealso.html
 share/doc/privoxy/user-manual/startup.html
 share/doc/privoxy/user-manual/templates.html
-share/doc/privoxy/user-manual/upgradersnote.html
 share/doc/privoxy/user-manual/whatsnew.html
 share/examples/privoxy/templates/url-info-osd.xml
 share/examples/privoxy/config
@@ -63,6 +61,7 @@ share/examples/privoxy/templates/cgi-error-modified
 share/examples/privoxy/templates/cgi-error-parse
 share/examples/privoxy/templates/cgi-style.css
 share/examples/privoxy/templates/connect-failed
+share/examples/privoxy/templates/connection-timeout
 share/examples/privoxy/templates/default
 share/examples/privoxy/templates/edit-actions-add-url-form
 share/examples/privoxy/templates/edit-actions-for-url
@@ -78,6 +77,7 @@ share/examples/privoxy/templates/mod-local-help
 share/examples/privoxy/templates/mod-support-and-service
 share/examples/privoxy/templates/mod-title
 share/examples/privoxy/templates/mod-unstable-warning
+share/examples/privoxy/templates/no-server-data
 share/examples/privoxy/templates/no-such-domain
 share/examples/privoxy/templates/show-request
 share/examples/privoxy/templates/show-status
-- 
1.6.4

